# frozen_string_literal: true

# Be sure to restart your server when you modify this file.

# Add new inflection rules using the following format. Inflections
# are locale specific, and you may define rules for as many different
# locales as you wish. All of these examples are active by default:
ActiveSupport::Inflector.inflections(:en) do |inflect|
  inflect.plural 'posicion', 'posiciones'
  inflect.singular 'posiciones', 'posicion'
  inflect.plural 'pirata', 'piratas'
  inflect.singular 'piratas', 'pirata'
  inflect.plural 'tripulacion', 'tripulaciones'
  inflect.singular 'tripulaciones', 'tripulacion'
end

# These inflection rules are supported but not enabled by default:
# ActiveSupport::Inflector.inflections(:en) do |inflect|
#   inflect.acronym 'RESTful'
# end
